summaryrefslogtreecommitdiff
path: root/scripts/php-config.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/php-config.in')
-rw-r--r--scripts/php-config.in90
1 files changed, 90 insertions, 0 deletions
diff --git a/scripts/php-config.in b/scripts/php-config.in
new file mode 100644
index 0000000..d6c62cc
--- /dev/null
+++ b/scripts/php-config.in
@@ -0,0 +1,90 @@
+#! /bin/sh
+
+SED="@SED@"
+prefix="@prefix@"
+datarootdir="@datarootdir@"
+exec_prefix="@exec_prefix@"
+version="@PHP_VERSION@"
+vernum="@PHP_VERSION_ID@"
+include_dir="@includedir@/php"
+includes="-I$include_dir -I$include_dir/main -I$include_dir/TSRM -I$include_dir/Zend -I$include_dir/ext -I$include_dir/ext/date/lib"
+ldflags="@PHP_LDFLAGS@"
+libs="@EXTRA_LIBS@"
+extension_dir='@EXTENSION_DIR@'
+man_dir=`eval echo @mandir@`
+program_prefix="@program_prefix@"
+program_suffix="@program_suffix@"
+exe_extension="@EXEEXT@"
+php_cli_binary=NONE
+php_cgi_binary=NONE
+configure_options="@CONFIGURE_OPTIONS@"
+php_sapis="@PHP_INSTALLED_SAPIS@"
+
+# Set php_cli_binary and php_cgi_binary if available
+for sapi in $php_sapis; do
+ case $sapi in
+ cli)
+ php_cli_binary="@bindir@/${program_prefix}php${program_suffix}${exe_extension}"
+ ;;
+ cgi)
+ php_cgi_binary="@bindir@/${program_prefix}php-cgi${program_suffix}${exe_extension}"
+ ;;
+ esac
+done
+
+# Determine which (if any) php binary is available
+if test "$php_cli_binary" != "NONE"; then
+ php_binary="$php_cli_binary"
+else
+ php_binary="$php_cgi_binary"
+fi
+
+# Remove quotes
+configure_options=`echo $configure_options | $SED -e "s#'##g"`
+
+case "$1" in
+--prefix)
+ echo $prefix;;
+--includes)
+ echo $includes;;
+--ldflags)
+ echo $ldflags;;
+--libs)
+ echo $libs;;
+--extension-dir)
+ echo $extension_dir;;
+--include-dir)
+ echo $include_dir;;
+--php-binary)
+ echo $php_binary;;
+--php-sapis)
+ echo $php_sapis;;
+--configure-options)
+ echo $configure_options;;
+--man-dir)
+ echo $man_dir;;
+--version)
+ echo $version;;
+--vernum)
+ echo $vernum;;
+*)
+ cat << EOF
+Usage: $0 [OPTION]
+Options:
+ --prefix [$prefix]
+ --includes [$includes]
+ --ldflags [$ldflags]
+ --libs [$libs]
+ --extension-dir [$extension_dir]
+ --include-dir [$include_dir]
+ --man-dir [$man_dir]
+ --php-binary [$php_binary]
+ --php-sapis [$php_sapis]
+ --configure-options [$configure_options]
+ --version [$version]
+ --vernum [$vernum]
+EOF
+ exit 1;;
+esac
+
+exit 0